# tmr_serial_reader.h File Reference

Mercury API - Serial Reader interface. More...

`#include "tmr_region.h"`
`#include "tmr_tag_protocol.h"`
`#include "tmr_serial_transport.h"`

## Classes

struct | TMR_SR_UserConfigOp
struct | TMR_PortValue
struct | TMR_PortValueList
struct | TMR_AntennaMap
struct | TMR_AntennaMapList
struct | TMR_SR_VersionInfo
struct | TM_SR_SerialReader
struct | TMR_SR_ReaderStatistics
struct | TMR_SR_AntennaStatusReport
struct | TMR_SR_FrequencyStatusReport
struct | TMR_SR_TemperatureStatusReport
struct | TMR_SR_StatusReport

## Typedefs

typedef enum TMR_SR_PowerMode | TMR_SR_PowerMode
typedef enum TMR_SR_SetProtocolLicenseOption | TMR_SR_SetProtocolLicenseOption
typedef enum TMR_SR_UserConfigOperation | TMR_SR_UserConfigOperation
typedef enum TMR_SR_UserConfigCategory | TMR_SR_UserConfigCategory
typedef enum TMR_SR_UserConfigType | TMR_SR_UserConfigType
typedef struct TMR_SR_UserConfigOp | TMR_SR_UserConfigOp
typedef enum TMR_SR_UserMode | TMR_SR_UserMode
typedef struct TMR_PortValue | TMR_PortValue
typedef struct TMR_PortValueList | TMR_PortValueList
typedef struct TMR_AntennaMap | TMR_AntennaMap
typedef struct TMR_AntennaMapList | TMR_AntennaMapList
typedef struct TMR_SR_VersionInfo | TMR_SR_VersionInfo
typedef enum TMR_TransportType | TMR_TransportType
typedef struct TM_SR_SerialReader | TMR_SR_SerialReader
typedef struct TMR_SR_ReaderStatistics | TMR_SR_ReaderStatistics
typedef struct TMR_SR_AntennaStatusReport | TMR_SR_AntennaStatusReport
typedef struct TMR_SR_FrequencyStatusReport | TMR_SR_FrequencyStatusReport
typedef struct TMR_SR_TemperatureStatusReport | TMR_SR_TemperatureStatusReport
typedef enum TMR_SR_StatusType | TMR_SR_StatusType
typedef struct TMR_SR_StatusReport | TMR_SR_StatusReport

## Enumerations

enum | TMR_SR_PowerMode
enum | TMR_SR_SetProtocolLicenseOption { TMR_SR_SET_LICENSE_KEY = 0x01, TMR_SR_ERASE_LICENSE_KEY = 0x02 }
enum | TMR_SR_UserConfigOperation { TMR_USERCONFIG_SAVE = 0x01, TMR_USERCONFIG_RESTORE = 0x02, TMR_USERCONFIG_VERIFY = 0x03, TMR_USERCONFIG_CLEAR = 0x04, TMR_USERCONFIG_SAVE_WITH_READPLAN = 0x05 }
enum | TMR_SR_UserConfigCategory { TMR_SR_ALL = 0x01 }
enum | TMR_SR_UserConfigType { TMR_SR_FIRMWARE_DEFAULT = 0x00, TMR_SR_CUSTOM_CONFIGURATION = 0x01 }
enum | TMR_SR_UserMode
enum | TMR_TransportType
enum | TMR_SR_StatusType

## Functions

TMR_Status | TMR_SR_SerialReader_init (TMR_Reader *reader)

## Detailed Description

Mercury API - Serial Reader interface.

Author:
  Nathan Williams

Date:
  10/20/2009

## Typedef Documentation

typedef struct TMR_AntennaMap TMR_AntennaMap

Mapping between an arbitrary "antenna" number and a TX/RX port pair. Not all TX/RX pairings are valid for a device.

typedef struct TMR_AntennaMapList TMR_AntennaMapList

List of antenna mappings

typedef struct TMR_PortValue TMR_PortValue

An antenna port with an associated int32_t value.

typedef struct TMR_PortValueList TMR_PortValueList

List of TMR_PortValue values

typedef struct TMR_SR_AntennaStatusReport TMR_SR_AntennaStatusReport

Object of this contains antenna status report

typedef struct TMR_SR_FrequencyStatusReport TMR_SR_FrequencyStatusReport

Object of this contains frequency status report

typedef enum TMR_SR_PowerMode TMR_SR_PowerMode

Defines the values for the parameter `/reader/powerMode` and the return value and parameter to TMR_SR_cmdGetPowerMode and TMR_SR_cmdSetPowerMode.

typedef struct TMR_SR_ReaderStatistics TMR_SR_ReaderStatistics

This object is returned from TMR_SR_cmdGetReaderStatistics.

typedef struct TM_SR_SerialReader TMR_SR_SerialReader

The serial reader structure.

typedef enum TMR_SR_SetProtocolLicenseOption TMR_SR_SetProtocolLicenseOption

Operation Options for cmdSetProtocolLicenseKey

typedef struct TMR_SR_StatusReport TMR_SR_StatusReport

This object contains the information related to status reports sent by the module during continuous reading

typedef enum TMR_SR_StatusType TMR_SR_StatusType

Status report content flags

typedef struct TMR_SR_TemperatureStatusReport TMR_SR_TemperatureStatusReport

Object of this contains temperature status report.

typedef enum TMR_SR_UserConfigCategory TMR_SR_UserConfigCategory

Congfiguration category for cmdSetUserProfile

typedef struct TMR_SR_UserConfigOp TMR_SR_UserConfigOp

The user profile operation structure

typedef enum TMR_SR_UserConfigOperation TMR_SR_UserConfigOperation

Operation Options for cmdSetUserProfile

typedef enum TMR_SR_UserConfigType TMR_SR_UserConfigType

The configuration type for cmdSetUserProfile

typedef enum TMR_SR_UserMode TMR_SR_UserMode

Defines the values for the parameter /reader/userMode and the return value and parameter to TMR_SR_cmdGetUserMode() and TMR_SR_cmdSetUserMode.

typedef struct TMR_SR_VersionInfo TMR_SR_VersionInfo

The version structure returned from cmdVersion().

typedef enum TMR_TransportType TMR_TransportType

Current message TransportType

## Enumeration Type Documentation

enum TMR_SR_PowerMode

Defines the values for the parameter `/reader/powerMode` and the return value and parameter to TMR_SR_cmdGetPowerMode and TMR_SR_cmdSetPowerMode.

enum TMR_SR_SetProtocolLicenseOption

Operation Options for cmdSetProtocolLicenseKey

Enumerator:

  TMR_SR_SET_LICENSE_KEY | Set Valid License Key
  TMR_SR_ERASE_LICENSE_KEY | Erase License Key

enum TMR_SR_StatusType

Status report content flags

enum TMR_SR_UserConfigCategory

Congfiguration category for cmdSetUserProfile

Enumerator:

  TMR_SR_ALL | All Configuration

enum TMR_SR_UserConfigOperation

Operation Options for cmdSetUserProfile

Enumerator:

  TMR_USERCONFIG_SAVE | Save operation
  TMR_USERCONFIG_RESTORE | Restore operation
  TMR_USERCONFIG_VERIFY | Verify operation
  TMR_USERCONFIG_CLEAR | Clear operation
  TMR_USERCONFIG_SAVE_WITH_READPLAN | Save read plan configuration

enum TMR_SR_UserConfigType

The configuration type for cmdSetUserProfile

Enumerator:

  TMR_SR_FIRMWARE_DEFAULT | Firmware default configurations
  TMR_SR_CUSTOM_CONFIGURATION | Custom configurations

enum TMR_SR_UserMode

Defines the values for the parameter /reader/userMode and the return value and parameter to TMR_SR_cmdGetUserMode() and TMR_SR_cmdSetUserMode.

enum TMR_TransportType

Current message TransportType

## Function Documentation

TMR_Status TMR_SR_SerialReader_init | ( | TMR_Reader * | reader | ) |

Initialize a serial reader. The reader->u.serialReader.transport structure must be initialized before calling this.